Opened 4 years ago

Last modified 4 years ago

#4098 closed feature request

Haskell2010 support — at Version 2

Reported by: igloo Owned by:
Priority: highest Milestone: 7.0.1
Component: Compiler Version: 6.12.2
Keywords: Cc:
Operating System: Unknown/Multiple Architecture: Unknown/Multiple
Type of failure: None/Unknown Difficulty:
Test Case: Blocked By:
Blocking: Related Tickets:

Description (last modified by igloo)

Discussion on #ghc concluded:

  • Haskell2010, Haskell98 extensions are mutually incompatible, i.e. it is an error if both appear in LANGUAGE pragmas in a source file. Incompatible values on the commandline are OK.
  • Haskell2010, Haskell98 are applied before other extensions in LANGUAGE pragmas, on the commandline, etc
  • GHC will default to Haskell2010

Change History (2)

comment:1 Changed 4 years ago by igloo

  • Description modified (diff)

comment:2 Changed 4 years ago by igloo

  • Description modified (diff)
Note: See TracTickets for help on using tickets.